package com.company.generatedcolumns.entity;

import com.haulmont.chile.core.annotations.MetaClass;
import com.haulmont.chile.core.annotations.MetaProperty;
import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.BaseUuidEntity;

import javax.validation.constraints.NotNull;

@MetaClass(name = "generatedcolumns_Month")
@NamePattern("%s|name")
public class Month extends BaseUuidEntity {

    private static final long serialVersionUID = 3695794364565500040L;

    @NotNull @MetaProperty(mandatory = true)
    private Year year;

    @MetaProperty(mandatory = true) @NotNull private Integer lastDay;

    @MetaProperty private Month selectedMonth;

    @NotNull
    @MetaProperty(mandatory = true)
    private Integer orderNumber;

    @NotNull
    @MetaProperty(mandatory = true)
    private String name;

    public Month getSelectedMonth() {
        return selectedMonth;
    }

    public void setSelectedMonth(Month selectedMonth) {
        this.selectedMonth = selectedMonth;
    }

    public Integer getLastDay() {
        return lastDay;
    }

    public void setLastDay(Integer lastDay) {
        this.lastDay = lastDay;
    }

    public Year getYear() {
        return year;
    }

    public void setYear(Year year) {
        this.year = year;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(Integer orderNumber) {
        this.orderNumber = orderNumber;
    }
}